const {request} = require("../request/index")

/**
 * 获取banner列表
 * @param {*} data 
 */
export const getBanner = function(data) {
    return request({
        url: '/ad/getHomeList',
        method: "GET",
        data
    })
}

/**
 * 获取首页任务展示
 * @param {*} data 
 */
export const getHomeData = function(data) {
    return request({
        url: '/task/getTaskList',
        method: "GET",
        data
    })
}
/**
 * 获取平台列表
 * @param {*} data 
 */
export const getPlatform = function(data) {
    return request({
        url: '/platform/platforms',
        method: "GET",
        data
    })
}
/**
 * 获取所有任务列表
 * @param {*} data 
 */
export const getAllTask = function(data) {
    return request({
        url: '/task/totalList',
        method: "GET",
        data
    })
}

/**
 * 获取无人机列表
 * @param {*} data 
 */
export const getEquipments = function(data) {
    return request({
        url: '/equipment/equipments',
        method: "GET",
        data
    })
}
/**
 * 获取所有运河列表
 * @param {*} data 
 */
export const getCloudBox = function(data) {
    return request({
        url: '/pilotCloudBox/cloudBoxs',
        method: "GET",
        data
    })
}
/**
 * 获取挂载设备
 * @param {*} data 
 */
export const getMounts = function(data) {
    return request({
        url: '/equipmentMount/equipmentMounts',
        method: "GET",
        data
    })
}

/**
 * 接单
 */
export const confirmOrder = function (data) {
    return request({
        url: '/task/todoDetailTask',
        method: 'PUT',
        data
    })
}
/**
 * 执飞
 */
export const beginFly = function (data) {
    return request({
        url: '/task/beginTaskOff',
        method: 'PUT',
        data
    })
}
/**
 * 结束飞行
 */
export const endFly = function (data) {
    return request({
        url: '/task/taskFlight',
        method: 'PUT',
        data
    })
}