// package_A/page/alltask/index.js
import {getPlatform, getAllTask } from '../../../api/task.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        current: "",
        list:[],
        params: {
            sortStartTime: 2
        },
        sortList:[
            {label: '正序', value: 1},
            {label: '倒序', value: 2}
        ],
        statusList:[
            {label: '全部状态', value: 'all'},
            {label: '待接单', value: 10},
            {label: '已接单', value: 15},
            {label: '飞行中', value: 20},
            {label: '已完成', value: 25}
        ],
        platformOptions:[],
        sortCurrent: 1,
        statusCurrent: 0,
        platformCurrent: 0,
        date: ''
    },

    onLoad(e) {
        let status = parseInt(e.status)
        if(e.status !== 'all') { // 全部任务
            let params = this.data.params
            params.status = status
            let statusList = this.data.statusList
            statusList.forEach((item, index)=> {
                if(item.value === status) {
                    this.setData({statusCurrent: index})
                }
            })
            this.setData({params, current: '/task/totalList'})
        } else {
            this.setData({current: '/task/totalList'})
        }
    },
    onShow() {
        this.getPlatformData()
    },
     /* 更新数据 */
     updateList(e) {
        let list = this.data.list.concat(e.detail || [])
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },

    /**
     * 获取平台列表
     * @param {*} 
     */
    getPlatformData() {
        getPlatform().then(res=> {
            if(res.code === 0) {
                let platformOptions = res.data
                platformOptions.unshift({platformName: '全部平台'})
                this.setData({platformOptions})
            }
        })
    },

    /**
     * 选择
     * @param {*} e 
     */
    updatePicker(e) {
        const current = e.detail.current
        const type = e.target.dataset.type
        let params = this.data.params
        if(type === 'sortStartTime') {
            let value = this.data.sortList[current].value
            params[type] = value
            this.setData({
                sortCurrent: current
            })
        } else if(type === 'status') {
            let value = this.data.statusList[current].value
            if(value === 'all') {
                delete params.status
            } else {
                params[type] = value
            }
            this.setData({
                statusCurrent: current
            })
        } else if(type === 'platformName') {
            let value = this.data.platformOptions[current].platformName
            if(value === '全部平台') {
                delete params.platformName
            } else {
                params[type] = value
            }
            this.setData({
                platformCurrent: current
            })
        }
        this.setData({
            params: params
        })
    },
    selectTime(e) {
        let value = e.detail.value
        let params = this.data.params
        params.taskStartTime = value
        this.setData({
            date: value,
            params
        })
    },

    /**
     * 跳转详情页
     * @param {*} e 
     */
    showDetail(e) {
        let data = e.currentTarget.dataset.item
        wx.navigateTo({
          url: '/package_A/page/TaskDetail/index?data=' + JSON.stringify(data),
        })
    }
})