// pages/mine/mine.js
import {getFlightData, getTaskTotal} from '../../api/mine.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userInfo: {},
        total: null,
        pieData: {
            total: null,
            dataList: []
        }, // 环状图数据
        flightData: {
            number: null,
            time: ''
        }// 飞行数据
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.getFlyData()
    },
    
    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        let userInfo = wx.getStorageSync('userInfo')
        this.setData({userInfo: userInfo})
        this.getPlatformData()
    },
    /**
     * 获得飞行数据
     * @param {*} event 
     */
    getFlyData() {
        getFlightData().then(res=> {
            if(res?.code === 0) {
                this.setData({flightData:res?.data})
            }
        })
    },
    /**
     * 获得平台分布数据
     * @param {*} event 
     */
    getPlatformData() {
        getTaskTotal().then(res=> {
            if(res.code === 0) {
                let pieData = this.data.pieData
                let dataObj = res.data
                pieData.total = res.data.allTasks
                if(dataObj.taskNameNumber.length) {
                    let dataList = []
                    dataObj.taskNameNumber.forEach(item=> {
                        let obj = {}
                        if(item.num > 0) {
                            obj.value = item.num
                            obj.name = item.name
                            dataList.push(obj)
                        }
                    })
                    pieData.dataList = dataList
                }
                this.setData({pieData})
            }
        })
    },

    // 退出登录
    outLogin: function(event) {
        wx.showModal({
            title: '确认',
            content: '确认要退出登录吗？',
            success (res) {
                if (res.confirm) {
                    wx.removeStorageSync('token')
                    wx.removeStorageSync('userInfo')
                    wx.reLaunch({
                        url: '/pages/login/login',
                    })
                } else if (res.cancel) {
                    wx.switchTab({
                      url: '/pages/mine/mine',
                    })
                }
            }
        })
          
    }
})