// pages/task/task.js
import {getBanner, getHomeData} from '../../api/task.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        bannerList: [], // 轮播图
        dataList: {
            todoTaskList: [],
            waitListNumber: null,
            receivedList: [],
            receivedListNumber: null,
            completedList: []
        }
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getBannerList()
        this.getHomeList()
    },
    
    /**
     * 获取banner列表
     * @param {*} e 
     */
    getBannerList() {
        getBanner().then(res=> {
            if(res?.code === 0) {
                let bannerList = res?.data
                this.setData({bannerList})
            }
        })
    },
    /**
     * 获取首页数据列表
     * @param {*} e 
     */
    getHomeList() {
        getHomeData().then(res=> {
            if(res?.code === 0) {
                let dataList = res.data
                this.setData({dataList})
            }
        })
    },
    /**
     * 进入任务列表
     */
    goTaskPage(e) {
        let status = e.currentTarget.dataset.status
        wx.navigateTo({
          url: '/package_A/page/alltask/index?status=' + status,
        })
    },

    /**
     * 进入详情页面
     */
    goTaskDetail(e) {
        let detail = e.currentTarget.dataset.detail
        wx.navigateTo({
            url: '/package_A/page/TaskDetail/index?data=' + JSON.stringify(detail),
        })
    }

})